﻿using System;

namespace Mirea.Api.Security.Services;

public class AuthService()
{
    public TimeSpan Lifetime { private get; init; }

    private static string GenerateRefreshToken() => Guid.NewGuid().ToString().Replace("-", "") +
                                                    GeneratorKey.GenerateString(32);

    private static string GetAuthCacheKey(string fingerprint) => $"{fingerprint}_auth_token";
}